openoffice-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From toki <toki.kant...@gmail.com>
Subject Re: future of OpenOffice
Date Wed, 11 Jan 2017 13:52:34 GMT
On 01/11/2017 08:26 AM, Raphael Bircher wrote:

> How you know, the AOO Code is outdated? We maintain the code, as LO
> maintain there code. Please come with facts.

Outdated is the wrong word.

The code base for LibO and AOo have diverged enough, that an extension
created for one, usually will not function as expected on the other.

Templates created for AOo 4.1.3 will function as expected with LibO 5.2,
and lower. There is about a 70% chance that they will function as
expected with LibO 5.3 beta.

Templates created for LibO 5.3 beta will fail around 70% of the time,
when used with AOo 4.1.3.

Templates created for LibO 5.2 will function as expected, around 70% of
the time, with AOo 4.1.3.

Thus far, in my testings of extensions created for AOo, there is a 100%
failure rate, when installing on LibO 5.3 beta.

I haven't tested extensions on AOo 4.1.3, yet.

Documentation for LibO 5.3 won't help users of AOo 4.1.3.
Documentation for LibO 5.2 might help users of AOo 4.1.x.

Documentation for AOo 4.1.3 won't necessarily help users of LibO 5.3.

jonathon

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@openoffice.apache.org
For additional commands, e-mail: dev-help@openoffice.apache.org


Mime
View raw message